CHFN(1)

名称
chfn - 更改真名和信息

大纲

chfn [选项] [登录]

描述

The chfn command changes user fullname, office room number, office phone number, and home phone number information for a user's account. This information is typically printed by finger(1) and similar programs. A normal user may only change the fields for her own account, subject to the restrictions in /etc/login.defs. (The default configuration is to prevent users from changing their fullname.) The superuser may change any field for any account. Additionally, only the superuser may use the -o option to change the undefined portions of the GECOS field.

These fields must not contain any colons. Except for the other field, they should not contain any comma or equal sign. It is also recommended to avoid non-US-ASCII characters, but this is only enforced for the phone numbers. The other field is used to store accounting information used by other applications.

选项

The options which apply to the chfn command are:

-f, --full-name FULL_NAME
    更改用户的全名

-h, --home-phone HOME_PHONE
    Change the user's home phone number.

-o, --other OTHER
    Change the user's other GECOS information. This field is used to store accounting information used by other applications, and can be changed only by a superuser.

-r, --room ROOM_NUMBER
    Change the user's room number.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory. Only absolute paths are supported.

-u, --help
    显示帮助信息并退出。

-w, --work-phone WORK_PHONE
    Change the user's office phone number.

If none of the options are selected, chfn operates in an interactive fashion, prompting the user with the current values for all of the fields. Enter the new value to change the field, or leave the line blank to use the current value. The current value is displayed between a pair of [ ] marks. Without options, chfn prompts for the current user account.

配置文件

The following configuration variables in /etc/login.defs change the behavior of this tool:

文件

/etc/login.defs
    Shadow 密码套件配置。

/etc/passwd
    用户账户信息。

参见

chsh(1), login.defs(5), passwd(5).